package com.smaato.sdk.demoapp;

import android.content.Intent;
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.Toast;

import com.smaato.sdk.demoapp.adapters.admob.ShowAdMobBannerActivity;
import com.smaato.sdk.demoapp.adapters.admob.ShowAdMobInterstitialActivity;
import com.smaato.sdk.demoapp.adapters.mopub.ShowMopubBannerActivity;
import com.smaato.sdk.demoapp.adapters.mopub.ShowMopubInterstitialActivity;

public class MediationAdsActivity extends AppCompatActivity {
    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_mediation_ads);
        findViewById(R.id.admob_banner).setOnClickListener((View v) -> {
            startActivity(new Intent(MediationAdsActivity.this, ShowAdMobBannerActivity.class));
        });
        findViewById(R.id.admob_interstitial).setOnClickListener((View v) -> {
            startActivity(new Intent(MediationAdsActivity.this, ShowAdMobInterstitialActivity.class));
        });
        findViewById(R.id.admob_rewarded).setOnClickListener((View v) -> {
            Toast.makeText(this, "Not yet implemented", Toast.LENGTH_SHORT).show();
        });
        findViewById(R.id.mopub_banner).setOnClickListener((View v) -> {
            startActivity(new Intent(MediationAdsActivity.this, ShowMopubBannerActivity.class));
        });
        findViewById(R.id.mopub_interstitial).setOnClickListener((View v) -> {
            startActivity(new Intent(MediationAdsActivity.this, ShowMopubInterstitialActivity.class));
        });
        findViewById(R.id.mopub_rewarded).setOnClickListener((View v) -> {
            Toast.makeText(this, "Not yet implemented", Toast.LENGTH_SHORT).show();
        });
    }
}
